--
-- LiteAssistBroker
--
-- Adds LibDataBroker support to LiteAssist
--

local ldb = LibStub:GetLibrary("LibDataBroker-1.1")
local dataobj = ldb:NewDataObject("LiteAssist",
		    { type = "data source", text = LiteAssist_GetAssistName() }
		)


function dataobj:OnTooltipShow()
    GameTooltip:AddLine("Displays your current LiteAssist unit")
end

local function UpdateName(name)
    dataobj.text = name
end

LiteAssist_RegisterCallback(UpdateName)

